/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.EOFournis;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class DuplicationView extends javax.swing.JDialog {

    protected EODisplayGroup eodAgents, eodSelection;
	protected ZEOTable myEOTableAgents, myEOTableSelection;
	protected ZEOTableModel myTableModelAgents, myTableModelSelection;
	protected TableSorter myTableSorterAgents, myTableSorterSelection;

    
    /** Creates new form TemplateJDialog */
    public DuplicationView(java.awt.Frame parent, boolean modal, EODisplayGroup dgAgents, EODisplayGroup dgSelection) {
        super(parent, modal);

        eodAgents = dgAgents;
        eodSelection = dgSelection;
                
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnDupliquer = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        tfTitre = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        viewTableSelection = new javax.swing.JPanel();
        btnSetAgent = new javax.swing.JButton();
        btnDelAgent = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        lblDates = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel1 = new javax.swing.JLabel();
        checkTrajets = new javax.swing.JCheckBox();
        checkRemboursements = new javax.swing.JCheckBox();
        checkBudget = new javax.swing.JCheckBox();
        tfFiltreNom = new javax.swing.JTextField();
        btnGetAgent = new javax.swing.JButton();
        checkNuits = new javax.swing.JCheckBox();
        checkTransports = new javax.swing.JCheckBox();
        checkIndemnites = new javax.swing.JCheckBox();
        jSeparator2 = new javax.swing.JSeparator();
        jLabel4 = new javax.swing.JLabel();
        tfDateDebut = new javax.swing.JTextField();
        tfHeureDebut = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        tfDateFin = new javax.swing.JTextField();
        tfHeureFin = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        taMotif = new javax.swing.JTextArea();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Duplication d'une mission");
        setResizable(false);

        viewTable.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTable.setLayout(new java.awt.BorderLayout());

        btnDupliquer.setText("Dupliquer");
        btnDupliquer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDupliquerActionPerformed(evt);
            }
        });

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel6.setForeground(new java.awt.Color(153, 153, 255));
        jLabel6.setText("Liste Agents");

        tfTitre.setBackground(new java.awt.Color(153, 153, 255));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Tahoma", 3, 14));
        tfTitre.setForeground(new java.awt.Color(255, 255, 255));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("Duplication d'une Mission");
        tfTitre.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        btnFermer.setText("Fermer");
        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        jLabel7.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel7.setForeground(new java.awt.Color(153, 153, 255));
        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Liste Duplication");

        viewTableSelection.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableSelection.setLayout(new java.awt.BorderLayout());

        btnSetAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSetAgentActionPerformed(evt);
            }
        });

        btnDelAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDelAgentActionPerformed(evt);
            }
        });

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Motif :");

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Dates :");

        lblDates.setFont(new java.awt.Font("Tahoma", 0, 14));
        lblDates.setText("jLabel1");

        jLabel1.setText("Eléments à Dupliquer  :  ");

        checkTrajets.setText("Trajets");
        checkTrajets.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTrajetsActionPerformed(evt);
            }
        });

        checkRemboursements.setText("Remboursements");

        checkBudget.setText("Budget");

        tfFiltreNom.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        btnGetAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGetAgentActionPerformed(evt);
            }
        });

        checkNuits.setText("Nuits/Repas");
        checkNuits.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkNuitsActionPerformed(evt);
            }
        });

        checkTransports.setText("Transports");
        checkTransports.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTransportsActionPerformed(evt);
            }
        });

        checkIndemnites.setText("Indemnités");
        checkIndemnites.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkIndemnitesActionPerformed(evt);
            }
        });

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Début :");

        tfDateDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateDebut.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDateDebutActionPerformed(evt);
            }
        });

        tfHeureDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Fin :");

        tfDateFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfHeureFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel8.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel8.setText("Nouvelles dates de mission : ");

        taMotif.setColumns(20);
        taMotif.setEditable(false);
        taMotif.setRows(5);
        jScrollPane1.setViewportView(taMotif);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 903, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 227, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(661, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(32, 32, 32)
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfHeureDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfHeureFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(10, 10, 10)
                                .add(jLabel1)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkTrajets, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkNuits)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkTransports)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkIndemnites)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(checkRemboursements)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 102, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 869, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 103, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDupliquer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 103, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 161, Short.MAX_VALUE)
                                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnGetAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 408, Short.MAX_VALUE))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(btnSetAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnDelAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(viewTableSelection, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 368, Short.MAX_VALUE)
                                    .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 140, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))))
                .add(19, 19, 19))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(lblDates, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 796, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 799, Short.MAX_VALUE))
                    .add(jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 869, Short.MAX_VALUE))
                .add(19, 19, 19))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(lblDates))
                .add(11, 11, 11)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel2)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel8)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfHeureDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfHeureFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(21, 21, 21)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(checkTrajets)
                    .add(checkBudget)
                    .add(checkNuits)
                    .add(checkTransports)
                    .add(checkRemboursements)
                    .add(checkIndemnites))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(18, 18, 18)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(jLabel6)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(btnGetAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 186, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(11, 11, 11)
                                .add(jLabel7)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(viewTableSelection, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 186, Short.MAX_VALUE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, btnDupliquer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(77, 77, 77)
                        .add(btnSetAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-925)/2, (screenSize.height-630)/2, 925, 630);
    }// </editor-fold>//GEN-END:initComponents

    private void btnDupliquerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDupliquerActionPerformed
        // TODO add your handling code here:
        dispose();
    }//GEN-LAST:event_btnDupliquerActionPerformed

    private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnFermerActionPerformed

    private void btnSetAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSetAgentActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnSetAgentActionPerformed

    private void btnDelAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDelAgentActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDelAgentActionPerformed

    private void checkTrajetsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTrajetsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkTrajetsActionPerformed

    private void btnGetAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGetAgentActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnGetAgentActionPerformed

    private void checkNuitsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkNuitsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkNuitsActionPerformed

    private void checkTransportsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTransportsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkTransportsActionPerformed

    private void checkIndemnitesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkIndemnitesActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkIndemnitesActionPerformed

    private void tfDateDebutActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfDateDebutActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfDateDebutActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	DuplicationView dialog = new DuplicationView(new javax.swing.JFrame(), true, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnDelAgent;
    private javax.swing.JButton btnDupliquer;
    private javax.swing.JButton btnFermer;
    private javax.swing.JButton btnGetAgent;
    private javax.swing.JButton btnSetAgent;
    private javax.swing.JCheckBox checkBudget;
    private javax.swing.JCheckBox checkIndemnites;
    private javax.swing.JCheckBox checkNuits;
    private javax.swing.JCheckBox checkRemboursements;
    private javax.swing.JCheckBox checkTrajets;
    private javax.swing.JCheckBox checkTransports;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JLabel lblDates;
    private javax.swing.JTextArea taMotif;
    private javax.swing.JTextField tfDateDebut;
    private javax.swing.JTextField tfDateFin;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JTextField tfHeureDebut;
    private javax.swing.JTextField tfHeureFin;
    private javax.swing.JTextField tfTitre;
    private javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewTableSelection;
    // End of variables declaration//GEN-END:variables

   
    
    
    private void initGui() {
        
    	btnDupliquer.setIcon(CocktailIcones.ICON_DUPLICATE);
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
    	btnSetAgent.setIcon(CocktailIcones.ICON_ADD);
    	btnDelAgent.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetAgent.setIcon(CocktailIcones.ICON_LOUPE_16);
        
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodAgents, EOFournis.NOM_KEY, "Nom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodAgents, EOFournis.PRENOM_KEY, "Prénom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelAgents = new ZEOTableModel(eodAgents, myCols);
		myTableSorterAgents = new TableSorter(myTableModelAgents);

		myEOTableAgents = new ZEOTable(myTableSorterAgents);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterAgents.setTableHeader(myEOTableAgents.getTableHeader());		

		myEOTableAgents.setBackground(new Color(230, 230, 230));
		myEOTableAgents.setSelectionBackground(new Color(127,155,165));
		myEOTableAgents.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTableAgents), BorderLayout.CENTER);

		
		// SELECTION
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodSelection, EOFournis.NOM_KEY, "Nom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, EOFournis.PRENOM_KEY, "Prénom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelSelection = new ZEOTableModel(eodSelection, myCols);
		myTableSorterSelection = new TableSorter(myTableModelSelection);

		myEOTableSelection = new ZEOTable(myTableSorterSelection);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterSelection.setTableHeader(myEOTableSelection.getTableHeader());		

		myEOTableSelection.setBackground(new Color(230, 230, 230));
		myEOTableSelection.setSelectionBackground(new Color(127,155,165));
		myEOTableSelection.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableSelection.setLayout(new BorderLayout());
		viewTableSelection.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableSelection.removeAll();
		viewTableSelection.add(new JScrollPane(myEOTableSelection), BorderLayout.CENTER);
    }

	public ZEOTable getMyEOTableAgents() {
		return myEOTableAgents;
	}

	public void setMyEOTableAgents(ZEOTable myEOTableAgents) {
		this.myEOTableAgents = myEOTableAgents;
	}

	public ZEOTable getMyEOTableSelection() {
		return myEOTableSelection;
	}

	public void setMyEOTableSelection(ZEOTable myEOTableSelection) {
		this.myEOTableSelection = myEOTableSelection;
	}

	public javax.swing.JButton getBtnDelAgent() {
		return btnDelAgent;
	}

	public void setBtnDelAgent(javax.swing.JButton btnDelAgent) {
		this.btnDelAgent = btnDelAgent;
	}
	public javax.swing.JButton getBtnDupliquer() {
		return btnDupliquer;
	}

	public void setBtnDupliquer(javax.swing.JButton btnDupliquer) {
		this.btnDupliquer = btnDupliquer;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnSetAgent() {
		return btnSetAgent;
	}

	public void setBtnSetAgent(javax.swing.JButton btnSetAgent) {
		this.btnSetAgent = btnSetAgent;
	}

	public javax.swing.JCheckBox getCheckBudget() {
		return checkBudget;
	}

	public void setCheckBudget(javax.swing.JCheckBox checkBudget) {
		this.checkBudget = checkBudget;
	}

	public javax.swing.JCheckBox getCheckRemboursements() {
		return checkRemboursements;
	}

	public javax.swing.JButton getBtnGetAgent() {
		return btnGetAgent;
	}

	public void setBtnGetAgent(javax.swing.JButton btnGetAgent) {
		this.btnGetAgent = btnGetAgent;
	}

	public void setCheckRemboursements(javax.swing.JCheckBox checkRemboursements) {
		this.checkRemboursements = checkRemboursements;
	}

	public javax.swing.JCheckBox getCheckTrajets() {
		return checkTrajets;
	}

	public javax.swing.JCheckBox getCheckIndemnites() {
		return checkIndemnites;
	}

	public javax.swing.JTextField getTfDateDebut() {
		return tfDateDebut;
	}

	public void setTfDateDebut(javax.swing.JTextField tfDateDebut) {
		this.tfDateDebut = tfDateDebut;
	}

	public javax.swing.JTextField getTfDateFin() {
		return tfDateFin;
	}

	public void setTfDateFin(javax.swing.JTextField tfDateFin) {
		this.tfDateFin = tfDateFin;
	}

	public javax.swing.JTextField getTfHeureDebut() {
		return tfHeureDebut;
	}

	public void setTfHeureDebut(javax.swing.JTextField tfHeureDebut) {
		this.tfHeureDebut = tfHeureDebut;
	}

	public javax.swing.JTextField getTfHeureFin() {
		return tfHeureFin;
	}

	public void setTfHeureFin(javax.swing.JTextField tfHeureFin) {
		this.tfHeureFin = tfHeureFin;
	}

	public void setCheckIndemnites(javax.swing.JCheckBox checkIndemnites) {
		this.checkIndemnites = checkIndemnites;
	}

	public javax.swing.JCheckBox getCheckNuits() {
		return checkNuits;
	}

	public void setCheckNuits(javax.swing.JCheckBox checkNuits) {
		this.checkNuits = checkNuits;
	}

	public javax.swing.JCheckBox getCheckTransports() {
		return checkTransports;
	}

	public void setCheckTransports(javax.swing.JCheckBox checkTransports) {
		this.checkTransports = checkTransports;
	}

	public void setCheckTrajets(javax.swing.JCheckBox checkTrajets) {
		this.checkTrajets = checkTrajets;
	}

	public javax.swing.JLabel getLblDates() {
		return lblDates;
	}

	public void setLblDates(javax.swing.JLabel lblDates) {
		this.lblDates = lblDates;
	}


	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public javax.swing.JTextArea getTaMotif() {
		return taMotif;
	}

	public void setTaMotif(javax.swing.JTextArea taMotif) {
		this.taMotif = taMotif;
	}


}
